{% extends 'main_app/base.html' %}

{% load static %}

{% block specific_css %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.7/css/select2.min.css" rel="stylesheet"/>
{% endblock specific_css %}

{% block content %}

        <div class="container">
            <div class="row my-5">
                <div class="col-1"></div>
                <div class="col-10">
                    <h1>Edit Course</h1>
                    {% if form.errors %}
                        {% for field in form %}
                            {% for error in field.errors %}
                                <div class="alert alert-danger">
                                    <strong>{{ error|escape }}</strong>
                                </div>
                            {% endfor %}
                        {% endfor %}
                        {% for error in form.non_field_errors %}
                            <div class="alert alert-danger">
                                <strong>{{ error|escape }}</strong>
                            </div>
                        {% endfor %}
                    {% endif %}
                    <form method="post">
                        {% csrf_token %}
                        <div class="form-group">
                            <label for="id_name">Course Name</label>
                            {{ form.name }}
                        </div>
                        <div class="form-group">
                            <label for="id_code">Course Code</label>
                            {{ form.code }}
                        </div>
                        <div class="form-group">
                            <label for="id_teachers">Add Teachers</label>
                            {{ form.teachers }}
                        </div>

                        <div class="form-group">
                            <label for="id_current_teachers">Delete Teachers</label>

                            {{ form.current_teachers }}
                        </div>

                        <div class="form-group">
                            <label for="id_assistants">Add Assistants</label>
                            {{ form.assistants }}
                        </div>

                        <div class="form-group">
                            <label for="id_current_assistants">Delete Assistants</label>
                            {% if form.current_assistants|length == 0 %}
                                <br>
                                This course does not have assistants yet
                            {% endif %}
                            {{ form.current_assistants }}
                        </div>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </form>
                </div>
                <div class="col-1"></div>
            </div>
        </div>
{% endblock content %}

{% block specific_js %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.7/js/select2.min.js"></script>
    <script type="text/javascript" src="{% static "courses/js/course_form.js" %}"></script>
{% endblock specific_js %}